"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF1A0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF240>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF2E0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF380>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF420>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF4C0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF600>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF6A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF740>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF7E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF880>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF920>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFF9C0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFA60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFB00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFBA0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFC40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFCE0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFD80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFE20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFEC0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887ADFFF60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8680E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868180>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868220>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8682C0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868360>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8684A0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868540>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8685E0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868680>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868720>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8687C0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868860>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868900>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8689A0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868A40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868AE0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868B80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868C20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868CC0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868D60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868E00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868EA0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868F40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B868FE0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869080>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869120>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8691C0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869260>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869300>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8693A0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869440>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8694E0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869580>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869620>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8696C0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869760>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869800>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8698A0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B8699E0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869A80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869B20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869BC0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869C60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869D00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869DA0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869E40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869EE0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B869F80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A020>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A0C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A200>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A2A0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A340>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A3E0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A520>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A5C0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000002887B86A660>)]
name: str = 'fr_HOCCN'
